Ubuntu

Wrong resolutions in lightdm login screen when using external monitor connected to laptop

Reported by Fabián Rodríguez on 2011-10-14
362
This bug affects 78 people
Affects Status Importance Assigned to Milestone
gdm-guest-session (Ubuntu)
Undecided
Unassigned
gnome-settings-daemon (Ubuntu)
Undecided
Unassigned
unity-greeter (Ubuntu)
High
Unassigned

Bug Description

When booting with an external monitor attached, the external monitor shows a stretched-out display, which the laptop monitor shows two black bars on each side of a lesser-resolution GDM display. This problem persists after logging in and is illustrated by these pictures:
GDM display:
https://launchpadlibrarian.net/80418888/IMG_20110920_091338.jpg

In-session display:
https://launchpadlibrarian.net/80418884/IMG_20110920_091318.jpg

It's rather common to boot with the screen connected, so the use case for this really is problematic as the Ubuntu splash doesn't look right when a workstation is started like this. I happen to be in an environment where everyone runs Windows and cosmetic details like this really undermine confidence in Ubuntu.

This was also tested with a 11.10 nightly 3 weeks ago. I have to use the monitors utility every-time the system is rebooted to adjust resolutions.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: xserver-xorg-video-intel 2:2.14.0-4ubuntu7.1
ProcVersionSignature: Ubuntu 2.6.38-11.50-generic 2.6.38.8
Uname: Linux 2.6.38-11-generic x86_64
Architecture: amd64
CompizPlugins: [core,bailer,detection,composite,opengl,compiztoolbox,decor,snap,gnomecompat,grid,place,regex,move,resize,mousepoll,session,imgpng,zoom,mag,wall,animation,expo,thumbnail,workarounds,ezoom,staticswitcher,fade,scale]
CompositorRunning: compiz
Date: Fri Oct 14 09:40:55 2011
DistUpgraded: Fresh install
DistroCodename: natty
DistroVariant: ubuntu
DkmsStatus:
 dkms.conf: Error! No 'DEST_MODULE_LOCATION' directive specified.
 dkms.conf: Error! No 'PACKAGE_NAME' directive specified.
 dkms.conf: Error! No 'PACKAGE_VERSION' directive specified.
 vboxhost, 4.1.2, 2.6.38-11-generic, x86_64: built
 vboxhost, 4.1.4, 2.6.38-11-generic, x86_64: installed
EcryptfsInUse: Yes
GraphicsCard:
 Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0116] (rev 09) (prog-if 00 [VGA controller])
   Subsystem: ASUSTeK Computer Inc. Device [1043:1652]
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release amd64 (20110426)
MachineType: ASUSTeK Computer Inc. K53E
ProcEnviron:
 LANGUAGE=fr:en_US:en
 LANG=en_US.UTF-8
 LC_MESSAGES=fr_FR.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-11-generic root=UUID=c9a489db-ff56-4f7b-8ee8-617e5f4f00c4 ro quiet splash vt.handoff=7
Renderer: Unknown
SourcePackage: xserver-xorg-video-intel
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 05/09/2011
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: K53E.209
dmi.board.asset.tag: ATN12345678901234567
dmi.board.name: K53E
dmi.board.vendor: ASUSTeK Computer Inc.
dmi.board.version: 1.0
dmi.chassis.asset.tag: ATN12345678901234567
dmi.chassis.type: 10
dmi.chassis.vendor: ASUSTeK Computer Inc.
dmi.chassis.version: 1.0
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrK53E.209:bd05/09/2011:svnASUSTeKComputerInc.:pnK53E:pvr1.0:rvnASUSTeKComputerInc.:rnK53E:rvr1.0:cvnASUSTeKComputerInc.:ct10:cvr1.0:
dmi.product.name: K53E
dmi.product.version: 1.0
dmi.sys.vendor: ASUSTeK Computer Inc.
version.compiz: compiz 1:0.9.4+bzr20110606-0ubuntu1~natty2
version.ia32-libs: ia32-libs 20090808ubuntu13
version.libdrm2: libdrm2 2.4.23-1ubuntu6
version.libgl1-mesa-dri: libgl1-mesa-dri 7.10.2-0ubuntu2
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 7.10.2-0ubuntu2
version.xserver-xorg: xserver-xorg 1:7.6+4ubuntu3.1
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.0-0ubuntu4.1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.14.0-4ubuntu7.1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20110107+b795ca6e-0ubuntu7

Fabián Rodríguez (magicfab) wrote :
bugbot (bugbot) on 2011-10-16
tags: added: resolution
tags: added: dual-head
Bryce Harrington (bryce) wrote :

Hey magicfab,

You filed this bug report against natty, but I see it's still open and
doesn't appear to have much activity recently. So, now that oneiric
is released and stable, this may be a good point for you to upgrade
and re-test if this issue is still present there.

If it's solved in the new release and you think it's worth backporting
the fix, please indicate that. Or if having the fix in the new release
is good enough, feel free to close out the bug (or let us know and we'll
close it.)

If it's not solved, leave the bug report open. I can't promise we'll
get to it (we get way more bugs filed than we can usually get to), but
your testing and feedback can help out if and when we do.

Changed in xserver-xorg-video-intel (Ubuntu):
status: New → Incomplete
Bryce Harrington (bryce) on 2011-12-16
description: updated
summary: - Wrong resolution in GDM when using external monitor connected to laptop
- [8086:0116]
+ Wrong resolutions in lightdm login screen when using external monitor
+ connected to laptop
tags: added: precise
Bryce Harrington (bryce) wrote :

So, what's going on here is that the display manager is setting the displays to mirrored. In X, 'mirror' means 'find a common resolution supported by both monitors'. Unfortunately, in cases where the aspect ratio of the two displays differ, there will be zero XxY resolutions they have in common, and so X has to select the default VESA mode of 1024x768 (or one of the smaller required modes like 640x480 or worse).

While this is the expected behavior, you're right that it looks really bad, and since it's the first thing people see it gives a poor impression. Certainly doesn't fill one with confidence that multihead in unity is going to work well.

Unfortunately, most options to solve this have fairly nasty corner cases that can leave users with an unusable system, or at least extremely confused. So, I agree this is a bad problem, just not sure how it should be fixed.

Fwiw, I experimented with scaling the external monitor while it is at 1024x768:

  xrandr --output HDMI2 --scale 1.333333x1

and that looked better. However the text looked bad (mis-hinted?) and it did nothing for the black bars on the laptop display, so this isn't even a viable workaround.

Changed in xserver-xorg-video-intel (Ubuntu):
importance: Undecided → High
status: Incomplete → Triaged
Bryce Harrington (bryce) wrote :

I don't know why the display utility is not saving the settings for you. It looks like your ~/.config/monitors.xml is set properly; gnome-settings-daemon ought to load that and apply it automatically when you log in (it won't affect the greeter though). Anyway, that's probably a gnome-settings-daemon bug, so probably easiest to handle if you file a new report. It seems to be

Bryce Harrington (bryce) wrote :

ahem.

It seems to be working ok for me, but I'll keep an eye out for it.

Bryce Harrington (bryce) wrote :

The way the login display manager should look is now defined in the Design team multimonitor specification. Rather than mirroring (which causes this bug) lightdm needs to set the screens to extended, with the primary screen showing the login and the secondary showing a logo.

It probably makes sense to leave the X to the upstream default of mirroring, and tie in with the settings daemon stuff. We can evaluate if a more direct link to libxrandr-utils might make sense later.

affects: xserver-xorg-video-intel (Ubuntu) → unity-greeter (Ubuntu)
theenduser (stijnverwaaijen) wrote :

Don't know if it will help you guys, but here are two workarounds:
http://askubuntu.com/questions/73804/wrong-login-screen-resolution

Bryce Harrington (bryce) wrote :

Confirmed still affecting Precise.

Asraniel (asraniel) wrote :

I just want to say that this also affects KDM on 11.10

Carlos (hirs) wrote :

Still happening on Precise beta 1

mediterran81 (kyoshuu) wrote :

Still affecting Precise.

Running Precise Beta updated (Unity as default Desktop) on a Dell XPS 15 L502X attached to an external Monitor (1920X1080) through the miniDP (DVI) port.

Same symptoms:

- At the greeter stage:
--> the laptop screen has correct resolution but is truncated from left and right sides (exactly like screenshot).
- -> the external monitor screen displays a mirror of the laptop screen (gretter) with low resolution but is not truncated.

- At the login stage (user session):
--> Everything works fine for both monitors and extended desktop.

I have also installed other DM on the system (XCFE, Gnome classic and KDE). Yet, the primary manager is Unity (Lightdm).
When booting, the two screens display at correct resolution the KUBUNTU logo (mirror), and once at the greeter stage, the configuration seems to be modified.

If you need me to undergo other tests please feel free to ask.

Ján Jušniar (jkusniar) wrote :

Exaclty the same behavior asi mediterran81 (kyoshuu) on Precise.
Laptop: HP Probook 4320s, external monitor with resolution 1920X1080.

Hanine HAMZIOUI (hanynowsky) wrote :

Someone knows of a workaround for that annoying bug please????

Hanine HAMZIOUI (hanynowsky) wrote :

Meanwhile, I managed a simple workaround (Thank you @5oak for pointing us to a source) that I posted here: http://askubuntu.com/questions/119843/how-to-force-multiple-monitors-correct-resolutions-for-lightdm
It works great for me without issues.
All you have to do is change your laptop screen and monitor screen resolutions in the script as well as the screens' labels.
Use the command: xrand -q to identify them accurately.

http://ubuntuone.com/1AJIiERgE4Yl7d0ICmWh9e

In my case, I am using a Dell XPS 15 L502X connected to a Wide screen (1920x1080) through mini DisplayPort.

htrex (hantarex) wrote :

Seeing the same problem with 12.04 beta2+

Peter Hurley (phurley) wrote :

Although an xrandr script could work, if the dual monitor configuration is intended to be permanent then a better solution is to supply a valid xorg.conf.

I just had to do this when switching from the nvidia proprietary drivers to nouveau (just experimenting). Jockey blows away the xorg.conf (for good reason) but no suitable dual monitor configured xorg.conf is supplied. This makes the lightdm + greeter revert to default behavior which is to match lowest resolutions on both monitors.

If you scan your /var/log/Xorg.0.log, right at the beginning you'll get the same log as the original bug reporter:

[ 8.567] Markers: (--) probed, (**) from config file, (==) default setting,
 (++) from command line, (!!) notice, (II) informational,
 (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[ 8.567] (==) Log file: "/var/log/Xorg.0.log", Time: Thu Oct 13 14:22:37 2011
[ 8.579] (==) Using system config directory "/usr/share/X11/xorg.conf.d"
[ 8.579] (==) No Layout section. Using the first Screen section.
[ 8.579] (==) No screen section available. Using defaults.
[ 8.579] (**) |-->Screen "Default Screen Section" (0)
[ 8.579] (**) | |-->Monitor "<default monitor>"
[ 8.579] (==) No monitor specified for screen "Default Screen Section".
 Using a default monitor configuration.

I do not recommend editing your xorg.conf unless you know what your doing and can recover if the X server won't start.

The key requirements in a dual-monitor xorg.conf are:
1) a "ServerLayout" section that identifies the screen
2) the desired virtual size in Section "Screen"/Subsection "Display"
3) indicating which monitors are connected to which outputs

I've attached my xorg.conf *which is specific to my setup*. Do NOT copy it your setup! I have provided here only to aid in understanding, in conjunction with the xorg.conf man page and looking at your own /var/log/Xorg.0.log

Walter_Wittel (wittelw) wrote :

In case you have a VGA external port that doesn't support EDID and can't set your external monitor to a high enough resolution I added to Hanynowsky's workaround at http://askubuntu.com/questions/119843/how-to-force-multiple-monitors-correct-resolutions-for-lightdm.

Dražen Lučanin (kermit666) wrote :

An interesting thing is that if I unplug the monitor during the greeter and plug it back in it shows fine - with the Ubuntu logo. Maybe just forcing lightDM to rescan the monitors somehow would work.

psypher (psypher246) wrote :

Yeah I happened to notice the exact same thing today. I have REALLY unstable sessions when having dual monitors plugged in. Either I randomly loose dual monitor setup (https://bugs.launchpad.net/bugs/921540) as well as sometimes having my desktop crash when connecting the screen in a live desktop session (https://bugs.launchpad.net/bugs/926637). Neither of those bugs getting any attention btw.

Anyway so to avoid at least one of those bugs, and the frequent loss of data, I logged out yesterday and connected the monitor. To my surprise I could see that cool new feature when only one screen has the login screen and the other has the ubuntu logo. Moving my mouse between the screens switches the login screen to the focused screen. If this works then what is not working during boot?

Also does everyone else who's experiencing this bug also have NO boot splash just a completely corrupted purply screen?

Josh Burghandy (kid1000002000) wrote :

Also affects Ubuntu 12.10.

Yep, same here. Nothing changed.

On Wed, Oct 24, 2012 at 5:28 AM, Josh Burghandy
<email address hidden>wrote:

> Also affects Ubuntu 12.10.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/874241
>
> Title:
> Wrong resolutions in lightdm login screen when using external monitor
> connected to laptop
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/874241/+subscriptions
>

_dan_ (dan-void) wrote :

Also affects 12.10 and also affects dual monitor (desktop)setup with 2 monitors with different resolution.

William Cook (dmc-wcook) wrote :

Also affect 13.04 for dual monitor desktop setup with different resolutions (and orientations)

Adam Niedling (krychek) wrote :

I also agree that the default resolution at the login screen is ugly. Low resolution mirroring is bad. Windows 7 is using only the external screen at its highest resolution at the login screen.

Also the guest session in Ubuntu uses the same ugly low resolution mirroring by default so the whole experience is ugly for my guests unless I change the resolution manually for them each and every time.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gdm-guest-session (Ubuntu):
status: New → Confirmed
Changed in gnome-settings-daemon (Ubuntu):
status: New → Confirmed
Matthew (mh00h) wrote :

Also affects Ubuntu 13.04, but my screen configuration is 1 external 1280x1050 monitor with a disabled laptop screen.

Adam Niedling (krychek) wrote :

I think this is fixed in Ubuntu 13.10. For me both screens are set to their native resolution at the login screen and in the guest session.

Gao Shichao (xgdgsc) wrote :

It still presents at 14.04. The login screen when you input the password is fine. But after that, you hit enter to login, and you see on the larger monitor, a mess of graphics is shown. It is a minor aesthetic issue that you see every day, accumulating to a bad impression.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related blueprints